<hr>
<p style="text-align: center; font-size: 0.8em; font-weight: bold; color: #aaaaaa;">Autor demonstracije: Tibor Milić</p>

<style media="screen" type="text/css">
    /*@#page-include#(showerStyle.css)*/
    /*@#page-include#(full-app-grids.css)*/
    /*@#page-include#(textStyles.css)*/
    /*@#page-include#(slider-styles.css)*/
    /*@#page-include#(animations.css)*/
    /*@#page-include#(textArea.css)*/
    /*@#page-include#(tabbedComponent.css)*/
</style>

<div>
    <div class="boxedTask">
        <div class="gridContainer">
            <div id="activeMatrix" class="subMatrix">
                <div class="subMatrixHeader">\( \color{#9db1d6} {M_{matrix}} \)</div>
                <div id="m00" style="grid-area:m00">1</div>
                <div id="m01" style="grid-area: m01">0</div>
                <div id="m02" style="grid-area: m02">0</div>
                <div id="m10" style="grid-area: m10">0</div>
                <div id="m11" style="grid-area: m11">1</div>
                <div id="m12" style="grid-area: m12">0</div>
                <div id="m20" style="grid-area: m20">0</div>
                <div id="m21" style="grid-area: m21">0</div>
                <div id="m22" style="grid-area: m22">1</div>
            </div>

            <div class="canHolder">
                <canvas class="canvasStyle" id="webGL2D" tabindex="1"></canvas>
                <div id="optionPane" class="optionsMenu"></div>
            </div>
        </div>

        <div class="commandInputGrid">
            <p class="inputHeader">Unesite naredbu (pritiskom na enter se izvršava):</p>
            <input title="command interface" id="commandRow" style="width: 100%" onkeydown="parseCommand(this.value, event);">
        </div>
        <hr>

        <div class="tabbedComponentGrid">
            <div id="consoleHeader" class="tabHeader" onclick="processTabClick('console')">Console.log</div>
            <div id="historyHeader" class="tabHeader" onclick="processTabClick('history')">Command history</div>
            <div id="environmentVarsHeader" class="tabHeader" onclick="processTabClick('environmentVars')">Environment
                variables
            </div>

            <div id="console" class="myTextArea"></div>
            <div id="history" class="myTextArea"></div>
            <div id="environmentVars" class="environmentVars"></div>
        </div>

        <hr>
        <div class="descToggler" onclick="toggleElement('keywordsDesc')">
                    <button class="btn btn-default" name="descriptionShower" >Prikaži/Sakrij upute</button>
        </div>
        <div id="keywordsDesc" class="keywordsDesc"></div>
    </div>



</div>
<hr>
/*@#page-include#(common-scripts.html)*/

<!-- Utilities -->
<script defer src="@#file#(SimpleShapeActions.js)" type="text/javascript"></script>
<script defer src="@#file#(SimpleShapeCreation.js)" type="text/javascript"></script>

<!-- Parser -->
<script defer src="@#file#(ColorCoding.js)" type="text/javascript"></script>
<script defer src="@#file#(parserProjectUtil.js)" type="text/javascript"></script>
<script defer src="@#file#(RenderFunctions.js)" type="text/javascript"></script>
<script defer src="@#file#(Executors.js)" type="text/javascript"></script>
<script defer src="@#file#(Environment.js)" type="text/javascript"></script>
<script defer src="@#file#(InputStream.js)" type="text/javascript"></script>
<script defer src="@#file#(Parser.js)" type="text/javascript"></script>
<script defer src="@#file#(TokenStream.js)" type="text/javascript"></script>
<script defer src="@#file#(initFullRaster.js)" type="text/javascript"></script>
